> For the complete documentation index, see [llms.txt](https://docs.lenses.io/latest/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.lenses.io/latest/devx/5.5/deployment/configuration/iam/authentication/sso-and-saml/azure-sso.md).

# Azure SSO

> *Groups are case-sensitive and mapped by UUID with Azure*

Integrate your user-groups with Lenses using the Azure group IDs. Create a group in Lenses using the UUID as the name.

For example, if the **Engineers** group has the UUID `ae3f363d-f0f1-43e6-8122-afed65147ef8`, create a group with the same name.

## Set up Microsoft Azure SSO <a href="#set-up-microsoft-azure-sso" id="set-up-microsoft-azure-sso"></a>

> *Learn more about* [*Azure SSO*](https://docs.microsoft.com/en-us/azure/active-directory/manage-apps/configure-single-sign-on-non-gallery-applications)

## **Add from Azure app-gallery**

1. Go to *Enterprise applications* > *+ New Application*
2. Search for Lenses.io in the gallery directory
3. Choose a name for Lenses e.g. Lenses.io and click Add
4. Select *Set up single sign on* > *SAML*
5. Configure the SAML details

<table><thead><tr><th width="239">Setting</th><th>Value</th></tr></thead><tbody><tr><td>Identifier (Entity ID)</td><td>Use the <code>base url</code> of the Lenses installation e.g. <code>https://lenses-dev.example.com</code></td></tr><tr><td>Reply URL</td><td>Use the <code>base url</code> with the callback details e.g. <code>https://lenses-dev.example.com/api/v2/auth/saml/callback?client_name=SAML2Client</code></td></tr><tr><td>Sign on URL</td><td>Use the <code>base url</code></td></tr></tbody></table>

6. Download the Federation Metadata XML file with the Azure IdP details. You will reference this file’s path in the Lenses `security.conf` configuration file.

{% code title="security.conf" %}

```bash
lenses.security.saml.base.url="https://lenses-dev.example.com"
lenses.security.saml.idp.provider="azure"
lenses.security.saml.idp.metadata.file="/path/to/AzureIDPMetadata.xml"
lenses.security.saml.keystore.location="/path/to/keystore.jks"
lenses.security.saml.keystore.password="my_keystore_password"
lenses.security.saml.key.password="my_saml_key_password"
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.lenses.io/latest/devx/5.5/deployment/configuration/iam/authentication/sso-and-saml/azure-sso.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
